Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1571337 - [abrt] gnome-keyring: on_run(): gnome-keyring-daemon killed by SIGSEGV
Summary: [abrt] gnome-keyring: on_run(): gnome-keyring-daemon killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-keyring
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b9849c0feb9f74967f318bc19cd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 14:34 UTC by Peter Janes
Modified: 2018-11-30 21:22 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:22:50 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (46.37 KB, text/plain)
2018-04-24 14:34 UTC, Peter Janes
no flags Details
File: cgroup (196 bytes, text/plain)
2018-04-24 14:34 UTC, Peter Janes
no flags Details
File: core_backtrace (26.85 KB, text/plain)
2018-04-24 14:34 UTC, Peter Janes
no flags Details
File: cpuinfo (1.26 KB, text/plain)
2018-04-24 14:34 UTC, Peter Janes
no flags Details
File: dso_list (3.60 KB, text/plain)
2018-04-24 14:34 UTC, Peter Janes
no flags Details
File: environ (282 bytes, text/plain)
2018-04-24 14:34 UTC, Peter Janes
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-24 14:34 UTC, Peter Janes
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-24 14:35 UTC, Peter Janes
no flags Details
File: maps (15.41 KB, text/plain)
2018-04-24 14:35 UTC, Peter Janes
no flags Details
File: mountinfo (3.95 KB, text/plain)
2018-04-24 14:35 UTC, Peter Janes
no flags Details
File: open_fds (1.15 KB, text/plain)
2018-04-24 14:35 UTC, Peter Janes
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2018-04-24 14:35 UTC, Peter Janes
no flags Details

Description Peter Janes 2018-04-24 14:34:45 UTC
Description of problem:
Running completely benign local commands in a shell window, and saw a notification that gnome-keyring had crashed.

Version-Release number of selected component:
gnome-keyring-3.28.0.1-1.fc29

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-keyring-daemon --daemonize --login
crash_function: on_run
executable:     /usr/bin/gnome-keyring-daemon
journald_cursor: s=7507568680c44f35b7fa519992edb123;i=11a3a8;b=253ed5efd3de4052ab14e165b4a15b86;m=12eac78128b;t=56a99002c08e5;x=8639c26598ec0609
kernel:         4.15.14-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 on_run at daemon/ssh-agent/gkd-ssh-agent-service.c:313
 #1 ffi_call_unix64 at ../src/x86/unix64.S:76
 #2 ffi_call at ../src/x86/ffi64.c:525
 #3 g_cclosure_marshal_generic_va at gclosure.c:1604
 #4 _g_closure_invoke_va at gclosure.c:867
 #7 g_threaded_socket_service_func at gthreadedsocketservice.c:87
 #9 g_thread_proxy at gthread.c:784

Comment 1 Peter Janes 2018-04-24 14:34:52 UTC
Created attachment 1426091 [details]
File: backtrace

Comment 2 Peter Janes 2018-04-24 14:34:53 UTC
Created attachment 1426092 [details]
File: cgroup

Comment 3 Peter Janes 2018-04-24 14:34:54 UTC
Created attachment 1426093 [details]
File: core_backtrace

Comment 4 Peter Janes 2018-04-24 14:34:55 UTC
Created attachment 1426094 [details]
File: cpuinfo

Comment 5 Peter Janes 2018-04-24 14:34:57 UTC
Created attachment 1426095 [details]
File: dso_list

Comment 6 Peter Janes 2018-04-24 14:34:58 UTC
Created attachment 1426096 [details]
File: environ

Comment 7 Peter Janes 2018-04-24 14:34:59 UTC
Created attachment 1426097 [details]
File: exploitable

Comment 8 Peter Janes 2018-04-24 14:35:00 UTC
Created attachment 1426098 [details]
File: limits

Comment 9 Peter Janes 2018-04-24 14:35:01 UTC
Created attachment 1426099 [details]
File: maps

Comment 10 Peter Janes 2018-04-24 14:35:03 UTC
Created attachment 1426100 [details]
File: mountinfo

Comment 11 Peter Janes 2018-04-24 14:35:04 UTC
Created attachment 1426101 [details]
File: open_fds

Comment 12 Peter Janes 2018-04-24 14:35:05 UTC
Created attachment 1426102 [details]
File: proc_pid_status

Comment 13 Daiki Ueno 2018-05-02 08:21:50 UTC
(In reply to Peter Janes from comment #0)

> Version-Release number of selected component:
> gnome-keyring-3.28.0.1-1.fc29

Would you be able to check with gnome-keyring-3.28.0.2-1.fc29?

Comment 14 Peter Janes 2018-05-02 13:53:31 UTC
I'll give it a shot. The problem happened twice, but I haven't figured out what will explicitly trigger it.

Comment 15 Ben Cotton 2018-11-27 15:55:17 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2018-11-30 21:22:50 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.